<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd"
>

<hibernate-mapping default-lazy="false" default-cascade="all">

  <sql-query name="AppointmentsRead1.Appointment.appointments">
    <![CDATA[
    {call VISTA.HDSREPRPC_Appts('123','RPCName',:pids,'20020101000000-0500','20110601000000-0500','','')}
    ]]>
  </sql-query>
  
  <sql-query name="AppointmentsRead1.Appointment.appointments.date">
    <![CDATA[
    {call VISTA.HDSREPRPC_Appts(:RequestID,:RpcName,:pids,:appointmentStartDate,:appointmentEndDate,'','')}
    ]]>
  </sql-query>

</hibernate-mapping>
